/**
 * \htmlonly
 * <style type="text/css">
 * body {
 * 	counter-reset: section;
 * }
 * 
 * h2 {
 * 	counter-increment: section;
 * 	counter-reset: subsection;
 * }
 * 
 * h3 {
 * 	counter-increment: subsection;
 * 	counter-reset: subsubsection;
 * }
 * 
 * h4 {
 * 	counter-increment: subsubsection;
 * }
 * 
 * h2:before {
 * 	content: counter(section) ".";
 * 	color: #1a41a8;
 * }
 * 
 * h3:before {
 * 	content: counter(section) "." counter(subsection);
 * 	color: #1a41a8;
 * }
 * 
 * h4:before {
 * 	content: counter(section) "." counter(subsection) "." counter(subsubsection);
 * 	color: #1a41a8;
 * }
 * </style>
 * \endhtmlonly
 *
 * \mainpage Shellp
 *
 * \author Jori Liesenborgs
 *
 * \section intro Introduction
 *
 * 	'Shellp' is a shell helper application. It is intended to make it
 * 	easier to write command-line based applications. Commands are
 * 	easy to define, and can be entered interactively or by reading
 * 	from a file or standard input. If a graphical workspace is available,
 * 	a Qt based interface can be used, otherwise an ncurses based one
 * 	may be available. If the platform doesn't support that either,
 * 	reading from file is still an option.
 *
 * \section license License
 *
 * 	The license which applies to this library is the LGPL. You can find the
 * 	full version in the file \c LICENSE.LGPL which is included in the library
 * 	archive. The short version is the following:
 *
 *	\code
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
 * USA.
 *	\endcode
 *
 * \section usage Usage
 *
 * 	As there is currently no documentation, please take a look at the
 * 	file <tt>testprog.cpp</tt> in the <tt>examples</tt> subdirectory.
 *
 * \section Acknowledgments
 *
 *	The library uses Ingo Berg's muParser code to handle mathematical
 *	expressions and to be able to define your own math functions. I would
 *	like to thank Ingo for making muParser available under a very
 *	flexible license. The muParser copyright & disclaimer can be found
 *	in the file src/muparser/License.txt in the source archive.
 *	
 *	I would also like to thank Michael Bieber for making his QwtPlot3D
 *	library available. When the Qt interface is available, Shellp uses
 *	QwtPlot3D to be able to make 3D plots. The QwtPlot3D copyright &
 *	disclaimer can be found in the file src/qwtplot3d/COPYING in the
 *	source archive.
 *
 *	Also thanks to the authors of Qwt, which is used to provide 2D plotting
 *	functions.
 * 	
 */
