/*
    
  This file is a part of Shellp, a 'shell helper' library.
  
  Copyright (C) 2011-2012 Jori Liesenborgs
  
  Contact: jori.liesenborgs@gmail.com

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
  USA

*/

#ifndef SHELLP_FILEPTRIOSYSTEM_H

#define SHELLP_FILEPTRIOSYSTEM_H

#include "shellconfig.h"
#include "iosystem.h"
#include <stdio.h>

namespace shellp
{
 
class SHELLP_IMPORTEXPORT FilePtrIOSystem : public IOSystem
{
public:
	FilePtrIOSystem();
	FilePtrIOSystem(FILE *pInput, FILE *pOutput);
	~FilePtrIOSystem();

	void writeOutputLine(const std::string &line, bool newline = true);
protected:
	void setFileInputPtr(FILE *g)							{ fi = g; }
	FILE *getFileInputPtr()								{ return fi; }
	void setFileOutputPtr(FILE *g)							{ fo = g; }
	FILE *getFileOutputPtr()							{ return fo; }
private:
	bool readInputLineInternal(std::string &line);
	void writeInputPrefix(const std::string &prefix);

	FILE *fi,*fo;
};

} // end namespace

#endif // SHELLP_FILEPTRIOSYSTEM_H

