/*
    
  This file is a part of Shellp, a 'shell helper' library.
  
  Copyright (C) 2011-2012 Jori Liesenborgs
  
  Contact: jori.liesenborgs@gmail.com

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
  USA

*/

#include "lineinput.h"
#include <stdio.h>
#include <string.h>

namespace shellp
{

#define MAXLEN 16384

bool ReadInputLine(FILE *pFile, std::string &line)
{
	if (pFile == 0)
		return false;
	
	char str[MAXLEN];
	int len;
	
	if (fgets(str, MAXLEN-1, pFile) == 0)
		return false;

	str[MAXLEN-1] = 0;
	len = strlen(str);
	while (len > 0 && (str[len-1] == '\r' || str[len-1] == '\n'))
	{
		len--;
		str[len] = 0;
	}
	
	line = std::string(str);
	return true;
}

} // end namespace
