/*
    
  This file is a part of Shellp, a 'shell helper' library.
  
  Copyright (C) 2011-2012 Jori Liesenborgs
  
  Contact: jori.liesenborgs@gmail.com

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  
  USA

*/

#ifndef SHELLP_SHELLCMDBOOLARG_H

#define SHELLP_SHELLCMDBOOLARG_H

#include "shellconfig.h"
#include "shellcmdarg.h"

namespace shellp
{

class SHELLP_IMPORTEXPORT ShellCmdBoolArg : public ShellCmdArg
{
public:
	ShellCmdBoolArg(const std::string &argName);
	ShellCmdBoolArg(const std::string &argName, const std::string &defaultValue);
	~ShellCmdBoolArg();

	bool parse(const std::string &arg);
	bool getValue() const							{ return m_val; }
private:
	bool m_val;
};

} // end namespace

#endif // SHELLP_SHELLCMDBOOLARG_H

